
Infrastructure - Story #1744

Design and Implement log aggregation capability

2011-08-31 01:50 - Dave Vieglais

Status: Closed Start date: 2011-11-10

Priority: Normal Due date: 2011-11-14

Assignee: Dave Vieglais % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: Sprint-2011.49-Block.6   

Story Points:    

Description

MN Logs need to be aggregated, and shared across the CNs, so that each CN can respond identically to CNCore.getLogRecords().

One (perhaps temporary) option may be to simply store log entries in Metacat. Issues of scalability need to be evaluated, especially

for more complex requests on getLogRecords.

Need an aggregator service which pulls logs from MNs and inserts into the CN log store

Metacat does not replicate logs, so a replication mechanism is required. Hazelcast broadcast? Cassandra?

Subtasks:

Task # 2015: Design the log aggregation functionality Closed

Related issues:

Related to Infrastructure - Story #2093: Implement Log Aggregation Closed 2012-01-11

History

#1 - 2011-08-31 02:11 - Dave Vieglais

- Position set to 2

- Target version set to Sprint-2011.36-Block.5

#2 - 2011-08-31 18:34 - Dave Vieglais

- Subject changed from Implement log aggregation capability to Design and Implement log aggregation capability

#3 - 2011-09-14 11:19 - Dave Vieglais

- Target version changed from Sprint-2011.36-Block.5 to Sprint-2011.37-Block.5

- Position set to 24

- Position deleted (5)

#4 - 2011-10-07 19:01 - Dave Vieglais

- Position deleted (35)

- Position set to 1

- Target version changed from Sprint-2011.37-Block.5 to Sprint-2011.42-Block.6

#5 - 2011-10-25 16:39 - Dave Vieglais

- Position deleted (23)

- Position set to 1

- Target version changed from Sprint-2011.42-Block.6 to Sprint-2011.44-Block.6

#6 - 2011-11-07 18:04 - Dave Vieglais

- Position deleted (25)
- Target version changed from Sprint-2011.44-Block.6 to Sprint-2011.45-Block.6

- Position set to 3

#7 - 2011-11-15 04:05 - Dave Vieglais

- Target version changed from Sprint-2011.45-Block.6 to Sprint-2011.46-Block.6

- Position changed from 1 to 313

- Position set to 1

- Position deleted (18)

#8 - 2011-11-28 18:26 - Dave Vieglais

- Position deleted (307)

- Position changed from 1 to 318

- Position set to 1

- Target version changed from Sprint-2011.46-Block.6 to Sprint-2011.48-Block.6

#9 - 2011-12-06 14:42 - Dave Vieglais

- Position deleted (317)

- Position set to 14

- Target version changed from Sprint-2011.48-Block.6 to Sprint-2011.49-Block.6

#10 - 2011-12-19 18:14 - Robert Waltz

- Status changed from New to Closed

- Milestone changed from CCI-0.6.4 to CCI-1.0.0
